Name:           cpdup
Version:        1.17
Release:        1%{?dist}
Summary:        Filesystem mirroring utility

Group:          Applications/Archiving
License:        BSD
URL:            http://apollo.backplane.com/FreeSrc/
Source0:        http://apollo.backplane.com/FreeSrc/cpdup-%{version}.tgz
Source1:        strlcpy.c
Source2:        Makefile.linux
Patch0:         cpdup-1.14-gcc44.patch
Patch1:         cpdup-1.17-typos.patch
Patch2:         cpdup-1.17-glibc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
The cpdup utility makes an exact mirror copy of the source in the
destination, creating and deleting files and directories as necessary.
UTimes, hardlinks, softlinks, devices, permissions, and flags are
mirrored.  By default, cpdup asks for confirmation if any file or
directory needs to be removed from the destination and does not copy
files which it believes to have already been synchronized (by
observing that the source and destination file’s size and mtimes
match).  cpdup does not cross mount points in either the source or the
destination.  As a safety measure, cpdup refuses to replace a
destination directory with a file.


%prep
%setup -q -n %{name}
cp -p %{SOURCE1} .
%patch0 -p1 -b .gcc44
%patch1 -p1 -b .typos
%patch2 -p1 -b .glibc
# we don't want this to get compiled
mv md5.c{,.off}
# make scripts non-executable for cleanliness
chmod -x scripts/*



%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}" -f %{SOURCE2}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -f %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BACKUPS PORTING scripts
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Tue Nov  2 2010 Michel Salim <salimma@fedoraproject.org> - 1.17-1
- Update to 1.17

* Sat Aug 22 2009 Michel Salim <salimma@fedoraproject.org> - 1.14-1
- Update to 1.14

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 11 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.11-2
- Fix build problems with GLIBC on 64-bit archs

* Thu Jun  5 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.11-1
- Update to 1.11

* Thu Feb 28 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.07-1
- Initial Fedora package

